#include <Keyboard.h>


float Messwert;
float Spannung;

int BtnEinst = 4;
int BtnAuto = 6;
int BtnMark = 8;

int Einstellung = 1;
int Hub = 1;

void setup() {
  // put your setup code here, to run once:
pinMode(BtnEinst, INPUT_PULLUP);
pinMode(BtnAuto, INPUT_PULLUP);
pinMode(BtnMark, INPUT_PULLUP);

Serial.begin(9600);
Keyboard.begin();
}

void loop() {
  // put your main code here, to run repeatedly:
 if (digitalRead(BtnAuto) == LOW){
    Keyboard.print("a");
    delay(300);
  }
  if (digitalRead(BtnMark) == LOW){
    Keyboard.print("m");
    delay(300);
  }
   if (digitalRead(BtnEinst) == LOW){
    if (Einstellung == 1){
      Einstellung = 2;
      delay(400);
    }
    else if (Einstellung == 2){
      Einstellung = 3;
      delay(400);
    }
    else {
      Einstellung = 1;
      delay(400);
    }
  }

    
Messwert=analogRead(1); //Spannungswert am analogen Eingang 1 auslesen
Spannung= map(Messwert, 0, 1023, 0, 250); //Umwandeln des Sensorwertes mit Hilfe des "map" Befehls. Da der Map-Befehl keine Kommastellen ausgibt, wird hier vorerst mit größeren Zahlen gearbeitet.
Spannung=Spannung/10; // Das Ergebnis wird nun durch 10 geteilt, um die Anzeige als korrekten Wert mit einer Nachkommastelle ausgeben zu können.

switch (Einstellung){
  case 1:
  return;
  
  case 2:
  if (Spannung < 8) {         //here is the point of switch 8 volts
     if (Hub == 1) {
     Keyboard.print("m");
     Hub = 0;
     }
     else {
      return;
     }
      }
  else  {
     if (Hub == 0)  {
    Keyboard.print("m");
     Hub = 1;
     }
   }
   case 3:
   if (Spannung < 8) {      //here is the point of switch 8 volts
     if (Hub == 1) {
     Keyboard.print("m");
     delay(200);
     Keyboard.print("a");
     Hub = 0;
     }
     else {
      return;
     }
   }
   else  {
     if (Hub == 0)  {
     Keyboard.print("m");
     delay(200);
     Keyboard.print("a");
     Hub = 1;
     }
     else {
      return;
     }
   }
}
}  
